Subject: repo permissions repair: restore --shared=group permissions

From: "Neal Kreitzinger" <[email-masked]>
Date: Wed, 11 Aug 2010 18:24:18 -0500

Hi,

chmod -R 755 was inadvertantly run on all of our git repos (bare and 
non-bare).  These repos were originally created as --shared=group.  When I 
run git init --shared=group it does not complain, but it also does not 
correct the permissions.  Please advise on the best way restore the 
permissions to --shared=group.  Thanks!

v/r,
Neal